libzypp: zypp::target::rpm::RemoveResolvableReport Struct Reference

libzypp 17.25.10

Public Types | Public Member Functions | Static Public Attributes | List of all members
zypp::target::rpm::RemoveResolvableReport Struct Reference

`#include <ZYppCallbacks.h>`

Inheritance diagram for zypp::target::rpm::RemoveResolvableReport:
[legend]

## Public Types
enum | Action { ABORT , RETRY , IGNORE }
enum | Error { NO_ERROR , NOT_FOUND , IO , INVALID }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (Resolvable::constPtr)
virtual bool | progress (int, Resolvable::constPtr)
virtual Action | problem (Resolvable::constPtr, Error, const std::string &)
virtual void | finish (Resolvable::constPtr, Error, const std::string &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data. More...
virtual | ~ReportBase ()

## Static Public Attributes
static const UserData::ContentType | contentRpmout
| "rpmout/removepkg": Additional rpm output (sent immediately). More...

## Detailed Description

Definition at line 570 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::target::rpm::RemoveResolvableReport::Action

Enumerator
ABORT |
RETRY |
IGNORE |

Definition at line 572 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::target::rpm::RemoveResolvableReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
INVALID |

Definition at line 578 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::target::rpm::RemoveResolvableReport::start | ( | Resolvable::constPtr |  | ) |
| inlinevirtual

Definition at line 585 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::target::rpm::RemoveResolvableReport::progress | ( | int | ,
|  | Resolvable::constPtr |
| ) |  |
| inlinevirtual

Definition at line 589 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::target::rpm::RemoveResolvableReport::problem | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const std::string & |
| ) |  |
| inlinevirtual

Definition at line 592 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::target::rpm::RemoveResolvableReport::finish | ( | Resolvable::constPtr | ,
|  | Error | ,
|  | const std::string & |
| ) |  |
| inlinevirtual

Definition at line 598 of file ZYppCallbacks.h.

## Member Data Documentation

## ◆ contentRpmout

const callback::UserData::ContentType zypp::target::rpm::RemoveResolvableReport::contentRpmout
| static

"rpmout/removepkg": Additional rpm output (sent immediately).

For data

See also
  InstallResolvableReport::contentRpmout

Definition at line 607 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following files:

- zypp/ZYppCallbacks.h
- zypp/target/rpm/RpmDb.cc